apiVersion: operators.coreos.com/v1alpha1
kind: ClusterServiceVersion
metadata:
  annotations:
    alm-examples: |-
      [{
        "apiVersion": "datadoghq.com/v1alpha1",
        "kind": "DatadogAgent",
        "metadata": {
          "name": "datadog-agent"
        },
        "spec": {
          "credentials": {
            "apiKey": "<DATADOG_API_KEY>",
            "appKey": "<DATADOG_APP_KEY>",
            "token": "<DATADOG_CLUSTER_AGENT_TOKEN>"
          },
          "agent": {
            "image": {
              "name": "datadog/agent:latest"
            },
            "config": {
              "tolerations": [
                {
                  "operator": "Exists"
                }
              ]
            }
          },
          "clusterAgent": {
            "image": {
              "name": "datadog/cluster-agent:latest"
            },
            "config": {
              "metricsProviderEnabled": true,
              "clusterChecksRunnerEnabled": true
            },
            "replicas": 2
          },
          "clusterChecksRunner": {
            "image": {
              "name": "datadog/agent:latest"
            }
          }
        }
      }]
    capabilities: Full Lifecycle
    categories: Logging & Tracing
    certified: "true"
    containerImage: datadog/operator:0.2.0
    description: Datadog provides a modern monitoring and analytics platform. Gather
      metrics, logs and traces for full observability of your Kubernetes cluster with
      Datadog Operator.
    repository: https://github.com/DataDog/datadog-operator
    support: Datadog Inc.
    createdAt: 2020-005-07 16:41:42
  name: datadog-operator.v0.2.1
  namespace: placeholder
spec:
  apiservicedefinitions: {}
  customresourcedefinitions:
    owned:
    - description: DatadogAgent Deployment with Datadog Operator
      kind: DatadogAgent
      name: datadogagents.datadoghq.com
      version: v1alpha1
      displayName: Datadog Agent
  description: Datadog provides a modern monitoring and analytics platform. Gather
    metrics, logs and traces for full observability of your Kubernetes cluster with
    Datadog Operator.
  displayName: Datadog Operator
  install:
    spec:
      clusterPermissions:
      - rules:
        - apiGroups:
          - rbac.authorization.k8s.io
          - roles.rbac.authorization.k8s.io
          - authorization.k8s.io
          resources:
          - clusterroles
          - clusterrolebindings
          verbs:
          - '*'
        - apiGroups:
          - datadoghq.com
          resources:
          - datadogagents
          - datadogagents/status
          - datadogagents/finalizers
          - extendeddaemonsets
          verbs:
          - '*'
        serviceAccountName: datadog-operator
      deployments:
      - name: datadog-operator
        spec:
          replicas: 1
          selector:
            matchLabels:
              name: datadog-operator
          strategy: {}
          template:
            metadata:
              labels:
                name: datadog-operator
            spec:
              containers:
              - args:
                - --zap-level=info
                command:
                - datadog-operator
                env:
                - name: WATCH_NAMESPACE
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.annotations['olm.targetNamespaces']
                - name: POD_NAME
                  valueFrom:
                    fieldRef:
                      fieldPath: metadata.name
                - name: OPERATOR_NAME
                  value: datadog-operator
                image: datadog/operator:0.2.1
                imagePullPolicy: IfNotPresent
                livenessProbe:
                  httpGet:
                    path: /live
                    port: 9090
                  periodSeconds: 10
                name: datadog-operator
                ports:
                - containerPort: 8383
                  name: metrics
                  protocol: TCP
                readinessProbe:
                  httpGet:
                    path: /ready
                    port: 9090
                  periodSeconds: 10
                resources: {}
              serviceAccountName: datadog-operator
      permissions:
      - rules:
        - apiGroups:
          - ""
          resources:
          - pods
          - services
          - endpoints
          - events
          - configmaps
          - secrets
          - serviceaccounts
          verbs:
          - '*'
        - apiGroups:
          - apps
          resources:
          - deployments
          - daemonsets
          verbs:
          - '*'
        - apiGroups:
          - apps
          resourceNames:
          - datadog-operator
          resources:
          - deployments/finalizers
          verbs:
          - update
        - apiGroups:
          - rbac.authorization.k8s.io
          - roles.rbac.authorization.k8s.io
          - authorization.k8s.io
          resources:
          - roles
          - rolebindings
          verbs:
          - '*'
        - apiGroups:
          - policy
          resources:
          - poddisruptionbudgets
          verbs:
          - '*'
        - apiGroups:
          - datadoghq.com
          resources:
          - datadogagents
          - datadogagents/status
          - datadogagents/finalizers
          - extendeddaemonsets
          verbs:
          - '*'
        serviceAccountName: datadog-operator
    strategy: deployment
  installModes:
  - supported: true
    type: OwnNamespace
  - supported: true
    type: SingleNamespace
  - supported: false
    type: MultiNamespace
  - supported: true
    type: AllNamespaces
  maturity: alpha
  provider: {name: Datadog}
  replaces: datadog-operator.v0.2.0
  version: 0.2.1
  icon:
  - base64data: [encoded data, 5460 characters]
    mediatype: image/svg+xml
  keywords:
  - Datadog
  - Monitoring
  - Logs
  - Tracing
  links:
  - name: Documentation
    url: https://docs.datadoghq.com/agent/kubernetes/
  - name: Kubernetes Monitoring Info
    url: https://www.datadoghq.com/blog/tag/kubernetes/
  maintainers:
  - email: support@datadoghq.com
    name: Datadog Inc.
